<!--
  Generated template for the OneWaySecondPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>One Way</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

	<div [formGroup]="rideForm" class="height-fill-fix">
		<ion-slides #slides class="swiper-no-swiping">
			<ion-slide>
				<div class="text-center pad-all-10 form">
					<div>
						<h2 class="pad-all-10">What day and time is your drive starting?</h2>
						<ion-item>
						    <ion-label>Date</ion-label>
						    <ion-datetime displayFormat="YYYY-MM-DD" [formControl]="rideForm.controls['date']"
						    (ngModelChange)="allowContinue()" min="2020"
					     	max="2022" [min]="minDate"></ion-datetime>
					  	</ion-item>

					  	<ion-item>
						    <ion-label>Departure Time</ion-label>
						    <ion-datetime displayFormat="hh:mm A" [formControl]="rideForm.controls['time']"
						    (ngModelChange)="allowContinue()"></ion-datetime>
					  	</ion-item>
					</div>
					<div class="bottom-button">
						<button (click)="nextSlide()" position="bottom" id="button-float" ion-button block color="primary" class="rounded" [disabled]="isDisabled">
							Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
						</button>
					</div>
				</div>
			</ion-slide>

			<ion-slide>
				<div class="pad-all-10 form">
					<h2 class="pad-bottom">Just a few more details...</h2>

					<ion-item>
					    <ion-label>Trip Purpose</ion-label>
					    <ion-select  [formControl]="rideForm.controls['trip_purpose_id']">
			      			<ion-option *ngFor="let item of purposes" value="{{item.id}}">{{item.type}}</ion-option> 
			      		</ion-select>
				  	</ion-item>
				  	
				  	<ion-row style="margin-top:30px;">
	    				<ion-col col-6 class="text-left">
							<ion-label style="text-align: left;">Seats Offered</ion-label>
						</ion-col>
						<ion-col col-2 class="text-left">
							<button (click)="subSeats()" class="priceIcons">
								<ion-icon name="remove" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
						<ion-col col-2>
							<h4 class="text-center" style="padding:7px 0 0 14px"> 
								{{ seats }} </h4>
						</ion-col>
						<ion-col col-2>
							<button (click)="addSeats()" class="priceIcons">
								<ion-icon name="add" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
						<ion-col col-2></ion-col>
					</ion-row>

				  	<ion-row>
						<ion-col col-6 class="text-left">
							<ion-label style="text-align: left;">Luggage</ion-label>
							<p style="margin-top: -5px; font-size: 10px !important; text-align: left;">(Per Passenger)</p>
						</ion-col>
						<ion-col col-2 class="text-left">
							<button (click)="subLuggage()" class="priceIcons">
								<ion-icon name="remove" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
						<ion-col col-2>
							<h4 class="text-center" style="padding:7px 0 0 14px"> 
							{{ luggageAmount }} </h4>
						</ion-col>
						<ion-col col-2>
							<button (click)="addLuggage()" class="priceIcons">
								<ion-icon name="add" class="grey-circle"></ion-icon>
							</button>
						</ion-col>
					</ion-row>

				  	<ion-item>
					    <ion-label>Luggage Size</ion-label>
					    <ion-select  [formControl]="rideForm.controls['luggageSize']">
			      			<ion-option value="Small" Selected>Small</ion-option>
			      			<ion-option value="Medium">Medium</ion-option>
			      			<ion-option value="Large">Large</ion-option>
			      		</ion-select>
				  	</ion-item>

				  	<ion-item>
					    <ion-label>Description</ion-label>
					    <ion-textarea [formControl]="rideForm.controls['description']">
					    </ion-textarea>
				  	</ion-item>

				  	<div *ngIf="currentUser.user.gender == 'Female'">
					  	<ion-item>
					  		<ion-label>Women Only?</ion-label>
					  		<ion-toggle [formControl]="rideForm.controls['womenOnly']" (ngModelChange)="changeLadies($event)"></ion-toggle>
					  	</ion-item>
				  	</div>

					<div position="bottom">
						<button (click)="uploadRide()" ion-button full color="primary" class="btn rounded">
							Post Ride
						</button>
					</div>
				</div>
			</ion-slide>
		</ion-slides>
	</div>
</ion-content>
